QGIS 3 is storing cache in windows roaming profile?
2017-10-04 08:46 AM - Arnaud Poncet-Montanges

Status: Closed

Priority: Normal

Assignee: Arnaud Poncet-Montanges

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25140
Description

I've noticed some problems due to my windows roaming profile size recently.

It's not only QGIS 3 fault but | would avoid as much as possible to store too much data there.

History

#1 - 2017-10-04 09:26 AM - Giovanni Manghi
- Priority changed from High to Normal

#2 - 2017-10-04 09:29 AM - Andreas Neumann

| agree that this a big problem for Windows users with roaming profiles (such as most gov organizations, companies, etc.)

Storing many MB of cache content in the roaming profile slows logging into Windows a lot and ultimately such users will get complaints from their IT
department.

#3 - 2017-10-07 12:06 PM - Regis Haubourg

On my side, | usually set a low cache size value in the settings to avoid this but that's true that cache should be in the local profile only.

#4 - 2019-03-09 04:28 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#5 - 2019-03-13 10:48 AM - Arnaud Poncet-Montanges
- File cache_roaming.png added

Seems to be fine.

C:\Users\user\AppData\Roaming\QGIS\QGIS3\profiles\default\cache

https://issues.qgis.org/attachments/download/14573/cache_roaming.png
10000 is 10000 Mo?

#6 - 2019-03-13 10:50 AM - Arnaud Poncet-Montanges
- Assignee set to Arnaud Poncet-Montanges

This can be closed

#7 - 2019-03-13 11:35 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
